#include <olectl.h>
// atltimer.idl : IDL source for atltimer.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (atltimer.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";


	[
		object,
		uuid(90EB88BD-1956-11D1-917B-00608C86B89C),
		dual,
		helpstring("IAtlTimerCtrl Interface"),
		pointer_default(unique)
	]
	interface IAtlTimerCtrl : IDispatch
	{
		[propput, id(DISPID_BACKCOLOR)]
		HRESULT BackColor([in]OLE_COLOR clr);
		[propget, id(DISPID_BACKCOLOR)]
		HRESULT BackColor([out,retval]OLE_COLOR* pclr);
		[propget, id(1), helpstring("property ShowSeconds")] HRESULT ShowSeconds([out, retval] BOOL *pVal);
		[propput, id(1), helpstring("property ShowSeconds")] HRESULT ShowSeconds([in] BOOL newVal);
		[id(2), helpstring("method SetAlarm")] HRESULT SetAlarm(long SecondsToWait);
	};

		// Event interface for CAtlTimerCtrl

[
	uuid(90EB88B0-1956-11D1-917B-00608C86B89C),
	version(1.0),
	helpstring("atltimer 1.0 Type Library")
]
library ATLTIMERLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");


	[
		uuid(90EB88BE-1956-11D1-917B-00608C86B89C),
		helpstring("IAtlTimerCtrl Event Interface")
	]
	dispinterface _IAtlTimerCtrlEvents
	{
		properties:
        methods:
        [id(1)] void AlarmExpired (void);
 	};

	[
		uuid(EE6E4F32-B113-11D0-8023-006097418C73),
		helpstring("AtlTimerCtrl Class")
	]
	coclass AtlTimerCtrl
	{
		[default] interface IAtlTimerCtrl;
		[default, source] dispinterface _IAtlTimerCtrlEvents ;
	};
	

	[
		uuid(831B59A1-B1DD-11D0-8026-006097418C73),
		helpstring("AtlTimerProp Class")
	]
	coclass AtlTimerProp
	{
		interface IUnknown;
	};
};
